Abonnentenprotokolle

GET https://pushye.com/api/subscribers-logs/
curl --request GET \
--url 'https://pushye.com/api/subscribers-logs/' \
--header 'Authorization: Bearer {api_key}' \
Parameter Details Beschreibung
search Optional String Die Suchzeichenfolge.
search_by Optional String Nach welchem ​​Feld suchen Sie? Zulässige Werte sind: ip.
type Optional String Erlaubte Werte: clicked_notification, closed_notification, displayed_notification, expired_deleted, manually_deleted, permission_denied, push_notification_sent, subscribed, unsubscribed
website_id Optional Integer
datetime_field Optional String Erlaubte Werte: datetime
datetime_start Optional String Filter results starting from this datetime. Y-m-d H:i:s format.
datetime_end Optional String Filter results up to this datetime. Y-m-d H:i:s format.
order_by Optional String Welches Feld, nach dem die Ergebnisse sortiert werden sollen. Zulässige Werte sind: subscriber_log_id, datetime.
order_type Optional String Die Reihenfolge der Ergebnisse. Zulässige Werte sind: ASC für aufsteigende Sortierung und DESC für absteigende Sortierung.
page Optional Integer Die Seitenzahl, von der Sie Ergebnisse erhalten möchten. Standardmäßig 1.
results_per_page Optional Integer Wie viele Ergebnisse Sie pro Seite wünschen. Zulässige Werte sind: 10, 25, 50, 100, 250, 500, 1000. Standardmäßig ist 25.
{
    "data": [
        {
            "id": 1,
            "subscriber_id": 1,
            "campaign_id": 0,
            "flow_id": 0,
            "personal_notification_id": 1,
            "website_id": 1,
            "user_id": 1,
            "ip": "123.123.123.123",
            "type": "clicked_notification",
            "datetime": "2026-07-01 20:58:30",
        },
    ],
    "meta": {
        "page": 1,
        "results_per_page": 25,
        "total": 1,
        "total_pages": 1
    },
    "links": {
        "first": "https://pushye.com/api/subscribers-logs?page=1",
        "last": "https://pushye.com/api/subscribers-logs?page=1",
        "next": null,
        "prev": null,
        "self": "https://pushye.com/api/subscribers-logs?page=1"
    }
}